=== debian/changelog ===
krb5 (1.10+dfsg~beta1-2ubuntu0.3) precise-security; urgency=low

  * SECURITY UPDATE: KDC heap corruption and crash vulnerabilities
    - debian/patches/MITKRB5-SA-2012-001.patch: initialize pointers both
      at allocation and assignment time
    - CVE-2012-1015, CVE-2012-1014
  * SECURITY UPDATE: denial of service in kadmind (LP: #1009422)
    - debian/patches/krb5-CVE-2012-1013.patch: check for null password
    - CVE-2012-1013
  * SECURITY UPDATE: insufficient ACL checking on get_strings/set_string
    - debian/patches/krb5-CVE-2012-1012.patch: make the access
      controls for get_strings/set_string mirror those of
      get_principal/modify_principal
    - CVE-2012-1012

 -- Steve Beattie <sbeattie@ubuntu.com>  Thu, 26 Jul 2012 14:29:35 -0700

krb5 (1.10+dfsg~beta1-2ubuntu0.2) precise-proposed; urgency=low

  * Re-introduce libkrb53 as a transitional package to libkrb5-3.
    Also revert the Conflicts against libkrb53 to the old versioned
    Break/Replaces. (LP: #1007314)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 18 Jul 2012 17:41:48 -0400

krb5 (1.10+dfsg~beta1-2ubuntu0.1) precise-proposed; urgency=low

  * debian/patches/preauth-context.patch: fix preauth context initialisation
    (LP: #988520).

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 15 May 2012 02:33:57 +0000

krb5 (1.10+dfsg~beta1-2) unstable; urgency=low

  * Oops, actually fix build flags, Closes: #655248

 -- Sam Hartman <hartmans@debian.org>  Fri, 13 Jan 2012 17:39:34 -0500

krb5 (1.10+dfsg~beta1-1) unstable; urgency=low

  * New Upstream version
  * Fix hardening flags and pre-dpkg-buildflags support, Closes: #655248
  * Update some symbols files for enhanced functions in 1.10

 -- Sam Hartman <hartmans@debian.org>  Fri, 13 Jan 2012 17:11:39 -0500

krb5 (1.10+dfsg~alpha2-1) unstable; urgency=low

  * New upstream Version

 -- Sam Hartman <hartmans@debian.org>  Tue, 27 Dec 2011 06:02:35 -0500

krb5 (1.10+dfsg~alpha1-7) unstable; urgency=high

  * Merge in github/krb5-1-10 branch up through 12/16/2010: many new
    upstream changes
  * Includes fix for MITKRB5-SA-2011-007 KDC null pointer
    dereference in TGS handling [CVE-2011-1530]
    , Closes: #651226

 -- Sam Hartman <hartmans@debian.org>  Fri, 16 Dec 2011 15:30:18 -0500

krb5 (1.10+dfsg~alpha1-6) unstable; urgency=low

  * Fix segfault with unknown hostnames in krb5_sname_to_principal,
    Closes: #650671
  * Indicate that this library breaks libsmbclient versions that depend on
    krb5_locate_kdc, Closes: #650603, #650611

 -- Sam Hartman <hartmans@debian.org>  Thu, 01 Dec 2011 19:34:41 -0500

krb5 (1.10+dfsg~alpha1-5) unstable; urgency=low

  * Add texinfo back to build depends: policy has been subverted by the
    evil forces of wishful thinking and forward progress

 -- Sam Hartman <hartmans@debian.org>  Wed, 30 Nov 2011 09:09:55 -0500

krb5 (1.10+dfsg~alpha1-4) unstable; urgency=low

  * Add kadmind and krb5kdc pidfiles, Closes: #550781
  * Respect locale in time display, Closes: #138430
  * Status action for init scripts, Thanks Yukio Shiiya, Closes: #645363,
    #645364
  * Fix dependencies for krb5-kdc
  * Add dpkg-buildflags support
  * Initial build-arch and build-indep support: currently build-indep
    depends on build-arch but that's OK as a starting point

 -- Sam Hartman <hartmans@debian.org>  Tue, 29 Nov 2011 20:34:03 -0500

krb5 (1.10+dfsg~alpha1-3) unstable; urgency=low

  * Build depend on pkg-config


 -- Sam Hartman <hartmans@debian.org>  Tue, 29 Nov 2011 17:35:48 -0500

krb5 (1.10+dfsg~alpha1-2) unstable; urgency=low

  * LDAP plugin depends on ldap library for parallel builds

 -- Sam Hartman <hartmans@debian.org>  Tue, 29 Nov 2011 17:35:30 -0500

krb5 (1.10+dfsg~alpha1-1) unstable; urgency=low

  * New upstream release
  
    - mit-krb5-sa-2011-006, Closes: #646367
    - Install k5login.5 not just .k5login.5, Closes: #623068
      - Fixes LDAP file descriptor leak, Closes: #561176
  * Updated translations:
      - French, Thanks Christian Perrier, Closes: #630827
      - Catalan, Thanks Innocent De Marchi, Closes: #632208
    * Update to krb5-1-10 branch of 2011-11-28

 -- Sam Hartman <hartmans@debian.org>  Tue, 29 Nov 2011 13:05:17 -0500

krb5 (1.9.1+dfsg-3) unstable; urgency=low

  * New function gss_localname from trunk

 -- Sam Hartman <hartmans@debian.org>  Wed, 21 Sep 2011 16:53:47 -0400

krb5 (1.9.1+dfsg-2) unstable; urgency=low

  * Revert incorrect Danish translations
  * Multiarch support, Thanks Steve  Langasek, Closes: #634121
  * Use linux-any in debian/control instead of explicit exclusions,
    Closes: #634311
  * Apply upstream r24977 in order to fix problems where a name exists
    for v6 but not v4, Closes: #532536
  * Apply upstream tickets 6916 and 6917 to fi x referrals behavior with
    old KDCs, Closes: #631106

 -- Sam Hartman <hartmans@debian.org>  Tue, 09 Aug 2011 11:52:04 -0400

krb5 (1.9.1+dfsg-1) unstable; urgency=low

  * New upstream version
  * Fix g_make_token_header when no token type is passed
  * Support absolute paths for GSS-API mechanisms
  * Add gss_authorize_localname, gss_userok,  gss_pname_to_uid
  * Fix gss_acquire_cred handling with empty mech set; fix
    accept_sec_context handling in this case too
  * Permit importing anonymous name with empty buffer
      * New Translations:
    - Dutch: Thanks  Vincent Zweije, Closes: #624173
    - Danish, Thanks  Joe Dalton, Closes: #626530
  * Fix kadmin free of null pointer on change password, Closes: #622681

 -- Sam Hartman <hartmans@debian.org>  Thu, 02 Jun 2011 10:57:10 -0400

krb5 (1.9+dfsg-2) unstable; urgency=low

  * In the interest of testing other GSS-API mechanisms it is desirable to
    install the gss-server and gss-client application. These are useful to
    people developing new GSS-API mechanisms within Debian.

 -- Sam Hartman <hartmans@debian.org>  Wed, 04 May 2011 16:07:42 -0400

krb5 (1.9+dfsg-1) unstable; urgency=low

  * New upstream version
  *  Pull in krb5 1.9 branch as of 03/16/2011

