=== debian/control ===
Source: krb5
Section: net
Priority: standard
Build-Depends: debhelper (>= 8.1.3), byacc | bison,
 comerr-dev, docbook-to-man,
 libkeyutils-dev [linux-any], libldap2-dev,
 libncurses5-dev, libssl-dev, ss-dev, 
 libverto-dev, pkg-config, texinfo
Build-Depends-Indep: texinfo
Standards-Version: 3.9.1
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Sam Hartman <hartmans@debian.org>
Uploaders: Russ Allbery <rra@debian.org>
Homepage: http://web.mit.edu/kerberos/
VCS-Git: git://git.debian.org/git/pkg-k5-afs/debian-krb5.git
VCS-Browser: http://git.debian.org/?p=pkg-k5-afs/debian-krb5.git

Package: krb5-user
Architecture: any
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, libkrb5-3 (= ${binary:Version}),
  krb5-config
Conflicts: heimdal-clients
Description: Basic programs to authenticate using MIT Kerberos
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the Kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").
 .
 This is the MIT reference implementation of Kerberos V5.
 .
 This package contains the basic programs to authenticate to MIT Kerberos,
 change passwords, and talk to the admin server (to create and delete
 principals, list principals, etc.).

Package: krb5-kdc
Architecture: any
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, libkrb5-3 (= ${binary:Version}),
 libkadm5srv-mit8 (>= 1.10+dfsg~),
 krb5-config, krb5-user, lsb-base (>= 3.0-6),
Suggests: openbsd-inetd | inet-superserver, krb5-admin-server,
 krb5-kdc-ldap (= ${binary:Version})
Conflicts: krb5-doc (<= 1.6.dfsg.3-1)
Replaces: krb5-doc (<= 1.6.dfsg.3-1)
Description: MIT Kerberos key server (KDC)
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the Kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").
 .
 This is the MIT reference implementation of Kerberos V5.
 .
 This package contains the Kerberos key server (KDC).  The KDC manages all
 authentication credentials for a Kerberos realm, holds the master keys
 for the realm, and responds to authentication requests.  This package
 should be installed on both master and slave KDCs.

Package: krb5-kdc-ldap
Architecture: any
Priority: extra
Depends: ${misc:Depends}, ${shlibs:Depends}, krb5-kdc (= ${binary:Version})
Description: MIT Kerberos key server (KDC) LDAP plugin
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the Kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").
 .
 This is the MIT reference implementation of Kerberos V5.
 .
 This package contains the LDAP plugin for the Kerberos key server (KDC)
 and supporting utilities.  This plugin allows the KDC data to be stored
 in an LDAP server rather than the default local database.  It should be
 installed on both master and slave KDCs that use LDAP as a storage
 backend.

Package: krb5-admin-server
Architecture: any
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, libkrb5-3 (= ${binary:Version}),
 krb5-kdc (>= 1.10+dfsg~), lsb-base (>= 3.0-6)
Description: MIT Kerberos master server (kadmind)
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the Kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").
 .
 This is the MIT reference implementation of Kerberos V5.
 .
 This package contains the Kerberos master server (kadmind), which handles
 account creations and deletions, password changes, and other
 administrative commands via the Kerberos admin protocol.  It also
 contains the command used by the master KDC to propagate its database to
 slave KDCs.  This package is generally only used on the master KDC for a
 Kerberos realm.

Package: krb5-multidev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libkrb5-3 (= ${binary:Version}),
 libk5crypto3 (= ${binary:Version}), libgssapi-krb5-2 (= ${binary:Version}),
 libgssrpc4 (= ${binary:Version}),
 libkadm5srv-mit8  (= ${binary:Version}),
 libkadm5clnt-mit8 (= ${binary:Version}),
 comerr-dev, 
Priority: optional
Suggests: krb5-doc
Description: Development files for MIT Kerberos without Heimdal conflict
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the Kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").
 .
 This is the MIT reference implementation of Kerberos V5.
 .
 Most users wishing to build applications against MIT Kerberos should
 install libkrb5-dev.  However, that package conflicts with heimdal-dev.
 This package installs libraries and headers in /usr/include/mit-krb5 and
 /usr/lib/mit-krb5 and can be installed along side heimdal-multidev, which
 provides the same facilities for Heimdal.

Package: libkrb5-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, krb5-multidev (= ${binary:Version})
Replaces: krb5-multidev (<< 1.8+dfsg~alpha1-3)
Conflicts: heimdal-dev
Priority: extra
Suggests: krb5-doc
Description: Headers and development libraries for MIT Kerberos
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the Kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").
 .
 This is the MIT reference implementation of Kerberos V5.
 .
 This package contains the symlinks, headers, and development libraries
 needed to compile and link programs that use the Kerberos libraries.

Package: libkrb5-dbg
Architecture: any
Depends: ${misc:Depends}, libkrb5-3 (= ${binary:Version})
 | libk5crypto3 (= ${binary:Version})
 | libkrb5support0 (= ${binary:Version})
Priority: extra
Section: debug
Multi-Arch: same
Description: Debugging files for MIT Kerberos
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the Kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").
 .
 This is the MIT reference implementation of Kerberos V5.
 .
 This package contains the debugging information for the MIT Kerberos
 libraries.  Install this package if you need to trace problems inside the
 MIT Kerberos libraries with a debugger.

Package: krb5-pkinit
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libkrb5-3 (= ${binary:Version})
Suggests: opensc
Replaces: libkrb53 (<= 1.6.dfsg.3~beta1-1)
Priority: extra
Multi-Arch: same
Description: PKINIT plugin for MIT Kerberos
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the Kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").
 .
 This is the MIT reference implementation of Kerberos V5.
 .
 This package contains a plugin for the PKINIT protocol, which allows
 Kerberos tickets to be obtained using public-key credentials such as
 X.509 certificates or a smart card.  This plugin can be used by the
 client libraries and the KDC.  

Package: krb5-doc
Architecture: all
Priority: optional
Conflicts: heimdal-docs
Section: doc
Depends: ${misc:Depends}
Description: Documentation for MIT Kerberos
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the Kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").
 .
 This is the MIT reference implementation of Kerberos V5.
 .
 This package contains the installation, administrator, and user reference
 manuals for MIT Kerberos and the man pages for the MIT Kerberos
 configuration files.

Package: libkrb5-3
Section: libs
Replaces: libkrb53 (<<1.6.dfsg.4~beta1-7)
Breaks: libkrb53 (<< 1.6.dfsg.4~beta1-9 ),
 sssd (<= 1.2.1-4.3), libsmbclient (<= 2:3.6.1-2)
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 libkrb5support0 (= ${binary:Version})
Suggests: krb5-doc, krb5-user
Recommends: krb5-locales
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: MIT Kerberos runtime libraries
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the Kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").
 .
 This is the MIT reference implementation of Kerberos V5.
 .
 This package contains the runtime library for the main Kerberos v5 API
 used by applications and Kerberos clients.

Package: libgssapi-krb5-2
Section: libs
Replaces: libkrb53 (<<1.6.dfsg.4~beta1-7)
Breaks: libkrb53 (<< 1.8)
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libkrb5-3 (= ${binary:Version})
Suggests: krb5-doc, krb5-user
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: MIT Kerberos runtime libraries - krb5 GSS-API Mechanism
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the Kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").
 .
 This is the MIT reference implementation of Kerberos V5.
 .
 This package contains the runtime library for the MIT Kerberos
 implementation of GSS-API used by applications and Kerberos clients.

Package: libgssrpc4
Section: libs
Conflicts: libkadm55
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: krb5-doc, krb5-user
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: MIT Kerberos runtime libraries - GSS enabled ONCRPC
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the Kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").
 .
 This is the MIT reference implementation of Kerberos V5.
 .
 This package contains an RPC library used by the Kerberos administrative
 programs and potentially other applications.

Package: libkadm5srv-mit8
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: krb5-doc, krb5-user
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: MIT Kerberos runtime libraries - KDC and Admin Server
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the Kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").
 .
 This is the MIT reference implementation of Kerberos V5.
 .
 This package contains the runtime library used by Kerberos administrative
 servers.

Package: libkadm5clnt-mit8
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: krb5-doc, krb5-user
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: MIT Kerberos runtime libraries - Administration Clients
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
