## krb5 1.10.1+dfsg

=== debian/changelog ===
krb5 (1.10.1+dfsg-5+deb7u9) wheezy-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Fix CVE-2013-1418: denial-of-service (NULL pointer dereference and daemon
    crash via a crafted request.
  * Fix CVE-2014-5351: krb5 sends old keys in a response to a -randkey -keepold
    request, which allows remote authenticated users to forge tickets by
    leveraging administrative access
  * Fix CVE-2014-5353: allows remote authenticated users to cause a denial of
    service (daemon crash) via a successful LDAP query with no results, as
    demonstrated by using an incorrect object type for a password policy.
  * Fix CVE-2014-5355: allows remote attackers to cause a denial of service
    (NULL pointer dereference) via a zero-byte version string or cause a
    out-of-bounds read.
  * Fix CVE-2016-3119: allows remote authenticated users to cause a denial of
    service (NULL pointer dereference and daemon crash) via a crafted request to
    modify a principal.
  * Fix CVE-2016-3120: allows remote authenticated users to cause a denial of
    service (NULL pointer dereference and daemon crash) via an S4U2Self request.

 -- Markus Koschany <apo@debian.org>  Wed, 31 Jan 2018 14:25:37 +0100

krb5 (1.10.1+dfsg-5+deb7u8) wheezy-security; urgency=high

  * Non-maintainer upload by the Debian LTS Team.
  * Fix CVE-2017-11368: Invalid S4U2Self or S4U2Proxy request causes assertion
    failure

 -- Lucas Kanashiro <kanashiro@debian.org>  Mon, 07 Aug 2017 16:47:08 -0300

krb5 (1.10.1+dfsg-5+deb7u7) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Verify decoded kadmin C strings [CVE-2015-8629]
    CVE-2015-8629: An authenticated attacker can cause kadmind to read
    beyond the end of allocated memory by sending a string without a
    terminating zero byte. Information leakage may be possible for an
    attacker with permission to modify the database. (Closes: #813296)
  * Fix leaks in kadmin server stubs [CVE-2015-8631]
    CVE-2015-8631: An authenticated attacker can cause kadmind to leak
    memory by supplying a null principal name in a request which uses one.
    Repeating these requests will eventually cause kadmind to exhaust all
    available memory. (Closes: #813126)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 31 Jan 2016 13:39:43 +0100

krb5 (1.10.1+dfsg-5+deb7u6) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Update 0036-Fix-build_principal-memory-bug-CVE-2015-2697.patch.
    Add check on rlen before doing memcpy.

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 12 Nov 2015 21:09:56 +0100

krb5 (1.10.1+dfsg-5+deb7u5) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add missing 0036-Fix-build_principal-memory-bug-CVE-2015-2697.patch.
    CVE-2015-2697: unsafe string handling in TGS processing.
    The previous wheezy-security upload mentioned the fix, but did not
    include the patch in the upload.
    Thanks to Marc Deslauriers (Closes: #803088)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 11 Nov 2015 22:05:19 +0100

krb5 (1.10.1+dfsg-5+deb7u4) wheezy-security; urgency=high

  * Import upstream patches for four CVEs:
    - CVE-2015-2695: SPNEGO context aliasing during establishment,
      Closes: #803083
    - CVE-2015-2696: IAKERB context aliasing during establishment,
      Closes: #803084
    - CVE-2015-2697: unsafe string handling in TGS processing,
      Closes: #803088
    - CVE-2015-2698: regression (memory corruption) in patch for CVE-2015-2696
  * In addition to CVE-2015-2698, the upstream patches for CVE-2015-2695
    and CVE-2015-2696 introduced regressions preventing the use of
    gss_import_sec_context() with contexts established using IAKERB
    or SPNEGO; the fixes for those regressions are included here.

 -- Benjamin Kaduk <kaduk@mit.edu>  Tue, 27 Oct 2015 00:34:53 -0400

krb5 (1.10.1+dfsg-5+deb7u3) stable-security; urgency=high

  * MITKRB5-SA-2015-001
    - CVE-2014-5352: gss_process_context_token() incorrectly frees context
    - CVE-2014-9421: kadmind doubly frees partial deserialization results
    - CVE-2014-9422: kadmind incorrectly validates server principal name
    - CVE-2014-9423: libgssrpc server applications leak uninitialized bytes



 -- Sam Hartman <hartmans@debian.org>  Tue, 03 Feb 2015 10:50:31 -0500

krb5 (1.10.1+dfsg-5+deb7u2) stable-security; urgency=high

  * Apply upstream patches for several issues:
    - CVE-2014-4341: denial of service due to improper GSSAPI message
      validation, Closes: #753624
    - CVE-2014-4342: denial of service due to improper GSSAPI message
      validation, Closes: #753625
    - CVE-2014-4343: double-free in SPNEGO initiator during renegotiation,
      Closes: #755520
    - CVE-2014-4344: NULL dereference in SPNEGO acceptor, Closes: #755521
    - CVE-2014-4345 [MITKRB5-SA-2014-001]: buffer overrun in kadmind with
      LDAP backend, Closes: #757416

 -- Benjamin Kaduk <kaduk@mit.edu>  Fri, 08 Aug 2014 12:12:09 -0400

krb5 (1.10.1+dfsg-5+deb7u1) stable-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix cve-2002-2443: denial-of-service issue due to improper UDP packet
    validation (closes: #708267).

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 30 May 2013 01:03:26 +0000

krb5 (1.10.1+dfsg-5) unstable; urgency=high

  * Import workaround for getaddrinfo bug from upstream.  Described in
    upstream's RT 7124, Closes: #704647
  * Correct CVE number for CVE-2012-1016 in changelog and patches, Closes:
    #703457
  * Import upstream's fix for CVE-2013-1416, Closes: #704775

 -- Benjamin Kaduk <kaduk@mit.edu>  Fri, 05 Apr 2013 14:36:50 -0400

krb5 (1.10.1+dfsg-4+nmu1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix cve-2012-1016: null pointer derefence when handling a draft9 request
    (closes: #702633).

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 15 Mar 2013 04:15:27 +0000

krb5 (1.10.1+dfsg-4) unstable; urgency=high


