=== debian/control ===
--- 
+++ 
@@ -8,8 +8,7 @@
  libverto-dev, pkg-config, texinfo
 Build-Depends-Indep: texinfo
 Standards-Version: 3.9.1
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sam Hartman <hartmans@debian.org>
+Maintainer: Sam Hartman <hartmans@debian.org>
 Uploaders: Russ Allbery <rra@debian.org>
 Homepage: http://web.mit.edu/kerberos/
 VCS-Git: git://git.debian.org/git/pkg-k5-afs/debian-krb5.git
@@ -162,7 +161,6 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, libkrb5-3 (= ${binary:Version})
 Suggests: opensc
-Replaces: libkrb53 (<= 1.6.dfsg.3~beta1-1)
 Priority: extra
 Multi-Arch: same
 Description: PKINIT plugin for MIT Kerberos
@@ -198,13 +196,12 @@
 
 Package: libkrb5-3
 Section: libs
-Replaces: libkrb53 (<<1.6.dfsg.4~beta1-7)
-Breaks: libkrb53 (<< 1.6.dfsg.4~beta1-9 ),
- sssd (<= 1.2.1-4.3), libsmbclient (<= 2:3.6.1-2)
+Breaks:  sssd (<= 1.2.1-4.3), libsmbclient (<= 2:3.6.1-2)
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
  libkrb5support0 (= ${binary:Version})
 Suggests: krb5-doc, krb5-user
+Conflicts: libkrb53
 Recommends: krb5-locales
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -221,13 +218,12 @@
 
 Package: libgssapi-krb5-2
 Section: libs
-Replaces: libkrb53 (<<1.6.dfsg.4~beta1-7)
-Breaks: libkrb53 (<< 1.8)
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, libkrb5-3 (= ${binary:Version})
 Suggests: krb5-doc, krb5-user
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
+Breaks: libgssglue1 (<< 0.2-2)
 Description: MIT Kerberos runtime libraries - krb5 GSS-API Mechanism
  Kerberos is a system for authenticating users and services on a network.
  Kerberos is a trusted third-party service.  That means that there is a
@@ -286,3 +282,8 @@
 Description: MIT Kerberos runtime libraries - Administration Clients
  Kerberos is a system for authenticating users and services on a network.
  Kerberos is a trusted third-party service.  That means that there is a
+ third party (the Kerberos server) that is trusted by all the entities on
+ the network (users and services, usually called "principals").
+ .
+ This is the MIT reference implementation of Kerberos V5.
+ .
