## krb5 1.12%2Bdfsg

=== debian/changelog ===
krb5 (1.12+dfsg-2ubuntu4) trusty; urgency=low

  * Add transitional libkadm5srv-mit8 package to help libapt
    calculating the upgrade (LP: #1304403) to trusty. 
    This transitional package can be dropped once trusty is
    released.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 09 Apr 2014 11:11:43 +0200

krb5 (1.12+dfsg-2ubuntu3) trusty; urgency=medium

  * Add missing versioned Replaces: libkadm5srv-mit8 to the libkdb5-7 package.
    Fixes upgrades from trusty. (LP: #1304403)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 08 Apr 2014 18:04:14 +0200

krb5 (1.12+dfsg-2ubuntu2) trusty; urgency=medium

  * debian/rules: force -O2 to work around build failure with -O3.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 17 Feb 2014 08:50:33 +0000

krb5 (1.12+dfsg-2ubuntu1) trusty; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add alternate dependency on libverto-libevent1 as that's the
      package ABI name in ubuntu.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Tue, 04 Feb 2014 14:29:23 +0200

krb5 (1.12+dfsg-2) unstable; urgency=low

  * Split out libkrad-dev into its own package, Closes: #735323

 -- Sam Hartman <hartmans@debian.org>  Mon, 27 Jan 2014 09:29:42 -0500

krb5 (1.12+dfsg-1) experimental; urgency=low

  [ Benjamin Kaduk ]
  * New upstream release (closes: #730085, #728845, #637662, #729291).
  * Update HURD compatibility patch (closes: #729191).
  * Move pkgconfig files to krb5-multidev and avoid conflicts with
    heimdal (closes: #730267).
    
 -- Benjamin Kaduk <kaduk@mit.edu>  Mon, 02 Dec 2013 12:25:43 -0500

krb5 (1.12~alpha1+dfsg-1) experimental; urgency=low

  [ Benjamin Kaduk ]
  * New upstream release, Closes: #694988, #697954
  * Build-depend on python-lxml, Closes: #725596
  * Remove Debian versions from symbols
  * Add myself to uploaders

  [ Sam Hartman ]
  * Build-depend on libverto-dev 0.2.4 to get verto_set_flags

 -- Benjamin Kaduk <kaduk@mit.edu>  Mon, 28 Oct 2013 16:12:52 -0400

krb5 (1.11.3+dfsg-3+nmu1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add python-lxml build dependency (closes: #725596).
  * Fix cve-2013-1417: KDC daemon crash condition (closes: #730085).
  * Fix cve-2013-1418: null pointer dereference issue (closes: #728845).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 16 Nov 2013 23:40:00 +0000

krb5 (1.11.3+dfsg-3ubuntu2) trusty; urgency=low

  * Add alternate dependency on libverto-libevent1 as that's the package
    ABI name in ubuntu.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Sun, 10 Nov 2013 02:20:12 +0000

krb5 (1.11.3+dfsg-3ubuntu1) trusty; urgency=low

  * Add build dependency on python-lxml. Closes: #725596.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 23 Oct 2013 18:47:25 +0200

krb5 (1.11.3+dfsg-3) unstable; urgency=low


  [ Benjamin Kaduk ]
  * Update config.sub and config.guess, patch from upstream, Closes: #717840
  * Update Brazillian Portugese Translation, thanks Fernando Ike,
    Closes: #719726
  * Bump the version of the gssrpc_clnt_create symbol.  The routine itself
    was changed in a backwards-compatible way, but callers from the kadm5
    libraries were changed to rely on the new behavior, Closes: #718275
  * Add symbols files for the kadm5 libraries.  The KADM5 API version number
    was increased for the 1.11 release but the corresponding library sonames
    were not, so we must indicate the behavior change ourself, Closes: #716772

  [ Sam Hartman ]
  * krb5-kdc depends on libverto-libev1, work around for #652699
  * Remove krb5-kdc conflict since it's more than one release cycle old
  * Add Benjamin Kaduk to uploaders

 -- Sam Hartman <hartmans@debian.org>  Sun, 25 Aug 2013 16:48:53 -0400

krb5 (1.11.3+dfsg-2) experimental; urgency=low

  * Run autoreconf to update configure based on aclocal patch

 -- Sam Hartman <hartmans@debian.org>  Sat, 08 Jun 2013 22:00:50 -0400

krb5 (1.11.3+dfsg-1) experimental; urgency=low

  *  New upstream version
      - Turns out 1.11.2+dfsg didn't include the pingpong fix, but this
    does , Closes: #

 -- Sam Hartman <hartmans@debian.org>  Fri, 07 Jun 2013 21:31:03 -0400

krb5 (1.11.2+dfsg-2) experimental; urgency=low

  * Import upstream's patch to not warn or error on variadic macros,
    Closes: #709824

 -- Benjamin Kaduk <kaduk@mit.edu>  Sat, 25 May 2013 16:06:48 -0400

krb5 (1.11.2+dfsg-1) experimental; urgency=low

  * New upstream version, Closes: #697662
      - By not depending on texinfo, we avoid FTBFSing from its changes,
      Closes: #708711
  * Fix "usage of keytabs gives "Generic preauthentication failure while
    getting initial credentials"" via upstream change to prefer keys in
    the keytab
    (Closes: #698534)
  * Fixed upstream "kerberos password policy attributes missing from
    kerberos.schema"  (Closes:
    #655381)
  * Remove arch-dep and arch-indep dependency in rules  (Closes: #708973)

 -- Sam Hartman <hartmans@debian.org>  Thu, 23 May 2013 21:56:23 -0400

krb5 (1.10.1+dfsg-5) unstable; urgency=low

  * Import workaround for getaddrinfo bug from upstream.  Described in
    upstream's RT 7124, addresses the main concern of #697662
  * Correct CVE number for CVE-2012-1016 in changelog and patches, Closes:
    #703457

 -- Benjamin Kaduk <kaduk@mit.edu>  Mon, 25 Mar 2013 11:50:07 -0400
